Bundle may fail because of the way config/database.yml is parsed
2013-01-28 09:05 - Etienne Massip

Status: Closed Start date:

Priority: High Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

database.yml is loaded differently in Gemfile than Rails do (Rails ERB-parse the file before YAML-parsing it).

Because of that, application won't start anymore with database.yml files which Rails succeed to load otherwise.

The Rails way:

require 'erb'
YAML: :load (ERB.new (IO.read (paths["config/database"].first)) .result)

Associated revisions

Revision 11286 - 2013-01-29 19:02 - Jean-Philippe Lang
Parse database.yml with erb (#13004).

History

#1 - 2013-01-28 09:05 - Etienne Massip

- Status changed from New to Confirmed

#2 - 2013-01-28 14:36 - Etienne Massip
- Assignee deleted (Jean-Philippe Lang)

Side note: I'm not convinced it's a good idea to put so much intelligence in this file but | don't really have a better idea.

Maybe something like a database_conf Rails-environment dependent rake task which would initialize the database.yml file with the right adapter and
database configuration by interactively asking the user?
It would also bundle config without the useless adapters.

Not really nice either, | know...

#3 - 2013-01-29 19:10 - Jean-Philippe Lang

- Subject changed from Bundle fail because of the way config/database.yml is parsed to Bundle may fail because of the way config/database.yml is
parsed

- Status changed from Confirmed to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r11286.

Indeed, this solution is far from ideal but the problem with the --without is that you'll install new adapters when they are added to Redmine's Gemfile.
For example, you bundled Redmine with --without postgresql sqglite3, and now that we have added sqlserver, you will install sqlserver gems when
updating your bundle after an upgrade and most certainly get an error because freetds-dev is not installed.

#4 - 2013-01-30 10:53 - Etienne Massip
- Target version deleted (2.3.0)

Removed from Changelog since devel -> devel?

2024-05-01 1/1



https://github.com/rails/rails/blob/v3.2.11/railties/lib/rails/application/configuration.rb#L115
https://www.redmine.org/projects/redmine/repository/svn/revisions/11286
http://www.tcpdf.org

